Calseta is under active development. APIs and features may change. We welcome feedback and contributions on GitHub.
cURL
curl --request POST \ --url https://api.example.com/v1/workflow-approvals/{approval_uuid}/reject \ --header 'Content-Type: application/json' \ --data ' { "responder_id": "<string>", "reason": "<string>" } '
{ "data": { "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "workflow_id": 123, "trigger_type": "<string>", "trigger_context": {}, "reason": "<string>", "confidence": 123, "notifier_type": "<string>", "notifier_channel": "<string>", "status": "<string>", "responder_id": "<string>", "responded_at": "2023-11-07T05:31:56Z", "expires_at": "2023-11-07T05:31:56Z", "execution_result": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "workflow_name": "<string>", "workflow_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "trigger_agent_key_prefix": "<string>" }, "meta": {} }
Reject a pending workflow approval request.
No execution is enqueued. Returns 409 if the request has expired or is already in a terminal state.
Request body for POST /v1/workflow-approvals/{uuid}/reject.
Successful Response
Full approval request state — used by GET /v1/workflow-approvals/{uuid}.
Show child attributes